依赖包groupId,artifactId相同,version不同,导致版本冲突

直接上图:直接导致:bean的版本是4.3,而调用了4.1的aop版本,所以导致NoSuchMethodError解决办法有2种:第一,直接在pom.xml里加入version=4.3的aop依赖第二,出现4.1和4.3不同版本的原因是因为有依赖包依赖他们,并且正好又是不同的版本,可以通过idea...

2018-05-13 21:45:38

阅读数 1059

评论数 0

如何搭建基于tomcat的Maven多modules项目的hot deploy开发快速环境

Tomcat(apache-tomcat-7.0.42) conf/server.xml 添加项目docBase:<Host appBase="webapps" autoDeploy="true" nam...

2018-05-12 16:05:36

阅读数 286

评论数 0

关于volatile,CAS,AQS,锁

关键字volatile1.volatile保证可见性。保证了不同线程对这个变量进行操作时的可见性,即一个线程修改了某个变量的值,这新值对其他线程来说是立即可见的。2.volatile不能确保原子性。以变量inc自增为例,初始化值为10:线程1对变量进行自增操作,线程1先读取了变量inc的原始值,然...

2018-04-22 22:00:32

阅读数 2421

评论数 2

提示
确定要删除当前文章?
取消 删除